<?php

namespace App\Classes\General\Eloquent\Filters;

use App\Models\Company;
use Illuminate\Database\Eloquent\Builder;

class DoesNotHaveSegments implements Filter
{
    /**
     * @param Builder $builder
     * @param $value
     * @return mixed
     */
    public static function apply(Builder $builder, $value)
    {
        return $builder->whereDoesntHave('segments', function ($segment) use ($value) {
            $segment->whereIn('id', $value);
        });
    }
}
